Bug 1293365 - Nova's Block device mappings can become invalid/inconsistent if errors are encountered while calling for Cinder to attach a volume.
Nova's Block device mappings can become invalid/inconsistent if errors are en...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
5.0 (RHEL 6)
x86_64 Linux
medium Severity medium
: z6
: 5.0 (RHEL 6)
Assigned To: Michal Pryc
nlevinki
: TestOnly, Triaged, ZStream
Depends On: 1181220
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 09:55 EST by Michal Pryc
Modified: 2016-03-21 14:34 EDT (History)
19 users (show)

See Also:
Fixed In Version: openstack-nova-2014.1.5-15.el6ost
Doc Type: Bug Fix
Doc Text:
With this fix the block device information is being persisted to DB even if exception occurs. This wasn't the case for the methods wrapped with the @update_db decorator, which was causing Nova to not save data about volumes.
Story Points: ---
Clone Of: 1181220
Environment:
Last Closed: 2016-03-21 14:34:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1439282 None None None 2015-12-21 09:55 EST
OpenStack gerrit 170087 None None None 2015-12-21 09:55 EST
OpenStack gerrit 170088 None None None 2015-12-21 09:55 EST

  None (edit)
Comment 3 Lon Hohberger 2016-03-15 16:09:55 EDT
According to our records, this should be resolved by openstack-nova-2014.1.5-29.el6ost.  This build is available now.

Note You need to log in before you can comment on or make changes to this bug.